import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Appointcust } from "../../domain/entities";
import { AppointcustMongoModel, AppointcustRawModel } from "../dtos/appointcust.dto";
export declare class AppointcustMongoMapper extends MongoMapper<Appointcust, AppointcustMongoModel> {
    constructor();
    toEntity(mongoModel: AppointcustMongoModel): Appointcust;
}
export declare class AppointcustRawMapper extends MapperImpl<Appointcust, AppointcustRawModel> {
    fromEntity(entity: Appointcust): AppointcustRawModel;
    toEntity(rawModel: AppointcustRawModel): Appointcust;
}
