import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Balanceobsv, AccountBalanceDelta } from "../../domain/entities";
import { BalanceobsvMongoModel, BalanceobsvRawModel, AccountBalanceDeltaMongoModel, AccountBalanceDeltaRawModel } from "../dtos/balanceobsv.dto";
export declare class BalanceobsvMongoMapper extends MongoMapper<Balanceobsv, BalanceobsvMongoModel> {
    constructor();
    toEntity(mongoModel: BalanceobsvMongoModel): Balanceobsv;
}
export declare class AccountBalanceDeltaMongoMapper extends MongoMapper<AccountBalanceDelta, AccountBalanceDeltaMongoModel> {
    constructor();
    toEntity(mongoModel: AccountBalanceDeltaMongoModel): AccountBalanceDelta;
}
export declare class BalanceobsvRawMapper extends MapperImpl<Balanceobsv, BalanceobsvRawModel> {
    fromEntity(entity: Balanceobsv): BalanceobsvRawModel;
    toEntity(rawModel: BalanceobsvRawModel): Balanceobsv;
}
export declare class AccountBalanceDeltaRawMapper extends MapperImpl<AccountBalanceDelta, AccountBalanceDeltaRawModel> {
    fromEntity(entity: AccountBalanceDelta): AccountBalanceDeltaRawModel;
    toEntity(rawModel: AccountBalanceDeltaRawModel): AccountBalanceDelta;
}
