import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Updatebio } from "../../domain/entities";
import { UpdatebioMongoModel, UpdatebioRawModel } from "../dtos/updatebio.dto";
export declare class UpdatebioMongoMapper extends MongoMapper<Updatebio, UpdatebioMongoModel> {
    constructor();
    toEntity(mongoModel: UpdatebioMongoModel): Updatebio;
}
export declare class UpdatebioRawMapper extends MapperImpl<Updatebio, UpdatebioRawModel> {
    fromEntity(entity: Updatebio): UpdatebioRawModel;
    toEntity(rawModel: UpdatebioRawModel): Updatebio;
}
