"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Claimpay = void 0;
class Claimpay {
    payid;
    dacId;
    id;
    constructor(payid, dacId, id) {
        this.payid = payid;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            payid: this.payid,
            dacId: this.dacId,
        };
    }
    static create(payid, dacId, id, rest) {
        const entity = new Claimpay(payid, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Claimpay(0, '');
    }
}
exports.Claimpay = Claimpay;
