"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Votes = void 0;
class Votes {
    voter;
    proxy;
    candidates;
    voteTimeStamp;
    voteCount;
    id;
    constructor(voter, proxy, candidates, voteTimeStamp, voteCount, id) {
        this.voter = voter;
        this.proxy = proxy;
        this.candidates = candidates;
        this.voteTimeStamp = voteTimeStamp;
        this.voteCount = voteCount;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            voter: this.voter,
            proxy: this.proxy,
            candidates: this.candidates,
            voteTimeStamp: this.voteTimeStamp,
            voteCount: this.voteCount,
        };
    }
    static create(voter, proxy, candidates, voteTimeStamp, voteCount, id, rest) {
        const entity = new Votes(voter, proxy, candidates, voteTimeStamp, voteCount, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Votes('', '', [], new Date(0), 0);
    }
}
exports.Votes = Votes;
