import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Regproxy } from "../../domain/entities";
import { RegproxyMongoModel, RegproxyRawModel } from "../dtos/regproxy.dto";
export declare class RegproxyMongoMapper extends MongoMapper<Regproxy, RegproxyMongoModel> {
    constructor();
    toEntity(mongoModel: RegproxyMongoModel): Regproxy;
}
export declare class RegproxyRawMapper extends MapperImpl<Regproxy, RegproxyRawModel> {
    fromEntity(entity: Regproxy): RegproxyRawModel;
    toEntity(rawModel: RegproxyRawModel): Regproxy;
}
