import { Entity, UnknownObject } from "@alien-worlds/aw-core";
import { Asset } from '@alien-worlds/aw-antelope';
export declare class Balanceobsv implements Entity {
    accountBalanceDeltas: AccountBalanceDelta[];
    dacId: string;
    id?: string;
    constructor(accountBalanceDeltas: AccountBalanceDelta[], dacId: string, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(accountBalanceDeltas: AccountBalanceDelta[], dacId: string, id?: string, rest?: UnknownObject): Balanceobsv;
    static getDefault(): Balanceobsv;
}
export declare class AccountBalanceDelta implements Entity {
    account: string;
    balanceDelta: Asset;
    id?: string;
    constructor(account: string, balanceDelta: Asset, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(account: string, balanceDelta: Asset, id?: string, rest?: UnknownObject): AccountBalanceDelta;
    static getDefault(): AccountBalanceDelta;
}
