import { Entity, UnknownObject } from "@alien-worlds/aw-core";
import { ExtendedAsset } from '@alien-worlds/aw-antelope';
export declare class Updateconfige implements Entity {
    newConfig: ContrConfig;
    dacId: string;
    id?: string;
    constructor(newConfig: ContrConfig, dacId: string, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(newConfig: ContrConfig, dacId: string, id?: string, rest?: UnknownObject): Updateconfige;
    static getDefault(): Updateconfige;
}
export declare class ContrConfig implements Entity {
    lockupasset: ExtendedAsset;
    maxvotes: number;
    numelected: number;
    periodlength: number;
    shouldPayViaServiceProvider: boolean;
    initialVoteQuorumPercent: number;
    tokenSupplyTheshold: number;
    voteQuorumPercent: number;
    authThresholdHigh: number;
    authThresholdMid: number;
    authThresholdLow: number;
    lockupReleaseTimeDelay: number;
    requestedPayMax: ExtendedAsset;
    id?: string;
    constructor(lockupasset: ExtendedAsset, maxvotes: number, numelected: number, periodlength: number, shouldPayViaServiceProvider: boolean, initialVoteQuorumPercent: number, tokenSupplyTheshold: number, voteQuorumPercent: number, authThresholdHigh: number, authThresholdMid: number, authThresholdLow: number, lockupReleaseTimeDelay: number, requestedPayMax: ExtendedAsset, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(lockupasset: ExtendedAsset, maxvotes: number, numelected: number, periodlength: number, shouldPayViaServiceProvider: boolean, initialVoteQuorumPercent: number, tokenSupplyTheshold: number, voteQuorumPercent: number, authThresholdHigh: number, authThresholdMid: number, authThresholdLow: number, lockupReleaseTimeDelay: number, requestedPayMax: ExtendedAsset, id?: string, rest?: UnknownObject): ContrConfig;
    static getDefault(): ContrConfig;
}
